Skip to content
Coritan Docs

Client API: Mail: Webhooks

The 3 Client API operations for webhooks.

View as Markdown

Part of Mail.

GET /api/v1/client/smtp-relay/{service_id}/webhooks

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/smtp-relay/{service_id}/webhooks

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes

application/json (required)

Field Type Required
url string yes
events array of string no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/client/smtp-relay/{service_id}/webhooks/{webhook_id}

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
webhook_id path integer yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.